Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gjt.sp.jedit.gui
Class JEditHistoryModelSaver

    java.lang.Object
      org.gjt.sp.jedit.gui.JEditHistoryModelSaver

All Implemented Interfaces:
  HistoryModelSaver

    public class JEditHistoryModelSaver

extends java.lang.Object
implements HistoryModelSaver

Handles loading and saving of the "history" files. A history file is .ini format and stores historymodels for all named historytextfields, separately but in the same file.

Constructor Summary
`JEditHistoryModelSaver()`

Method Summary
`java.util.Map<java.lang.String,HistoryModel>` | `load(java.util.Map<java.lang.String,HistoryModel> models)`
`boolean` | `save(java.util.Map<java.lang.String,HistoryModel> models)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JEditHistoryModelSaver

    public JEditHistoryModelSaver()

Method Detail

### load

    public java.util.Map<java.lang.String,HistoryModel> load(java.util.Map<java.lang.String,HistoryModel> models)

  Specified by:
    `load` in interface `HistoryModelSaver`

### save

    public boolean save(java.util.Map<java.lang.String,HistoryModel> models)

  Specified by:
    `save` in interface `HistoryModelSaver`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD